Package org.apache.calcite.avatica.proto

## Class Requests.TableTypesRequest.Builder

- java.lang.Object
- - com.google.protobuf.AbstractMessageLite.Builder
  - - com.google.protobuf.AbstractMessage.Builder<BuilderType>
    - - com.google.protobuf.GeneratedMessageV3.Builder<Requests.TableTypesRequest.Builder>
      - - org.apache.calcite.avatica.proto.Requests.TableTypesRequest.Builder

All Implemented Interfaces:
  `com.google.protobuf.Message.Builder`, `com.google.protobuf.MessageLite.Builder`, `com.google.protobuf.MessageLiteOrBuilder`, `com.google.protobuf.MessageOrBuilder`, `java.lang.Cloneable`, `Requests.TableTypesRequestOrBuilder`

Enclosing class:
  Requests.TableTypesRequest

    public static final class Requests.TableTypesRequest.Builder
    extends com.google.protobuf.GeneratedMessageV3.Builder<Requests.TableTypesRequest.Builder>
    implements Requests.TableTypesRequestOrBuilder

     Request for Meta#getTableTypes()

Protobuf type `TableTypesRequest`

### Field Summary

Fields
`private java.lang.Object` `connectionId_`

### Constructor Summary

Constructors
`private` `Builder()`
`private` `Builder​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)`

### Method Summary

All Methods Static Methods Instance Methods Concrete Methods
`Requests.TableTypesRequest.Builder` `addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)`
`Requests.TableTypesRequest` `build()`
`Requests.TableTypesRequest` `buildPartial()`
`Requests.TableTypesRequest.Builder` `clear()`
`Requests.TableTypesRequest.Builder` `clearConnectionId()` `string connection_id = 1;`
`Requests.TableTypesRequest.Builder` `clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)`
`Requests.TableTypesRequest.Builder` `clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)`
`Requests.TableTypesRequest.Builder` `clone()`
`java.lang.String` `getConnectionId()` `string connection_id = 1;`
`com.google.protobuf.ByteString` `getConnectionIdBytes()` `string connection_id = 1;`
`Requests.TableTypesRequest` `getDefaultInstanceForType()`
`static com.google.protobuf.Descriptors.Descriptor` `getDescriptor()`
`com.google.protobuf.Descriptors.Descriptor` `getDescriptorForType()`
`protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable` `internalGetFieldAccessorTable()`
`boolean` `isInitialized()`
`private void` `maybeForceBuilderInitialization()`
`Requests.TableTypesRequest.Builder` `mergeFrom​(com.google.protobuf.CodedInputStream input, com.google.protobuf.ExtensionRegistryLite extensionRegistry)`
`Requests.TableTypesRequest.Builder` `mergeFrom​(com.google.protobuf.Message other)`
`Requests.TableTypesRequest.Builder` `mergeFrom​(Requests.TableTypesRequest other)`
`Requests.TableTypesRequest.Builder` `mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`
`Requests.TableTypesRequest.Builder` `setConnectionId​(java.lang.String value)` `string connection_id = 1;`
`Requests.TableTypesRequest.Builder` `setConnectionIdBytes​(com.google.protobuf.ByteString value)` `string connection_id = 1;`
`Requests.TableTypesRequest.Builder` `setField​(com.google.protobuf.Descriptors.FieldDescriptor field, java.lang.Object value)`
`Requests.TableTypesRequest.Builder` `setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field, int index, java.lang.Object value)`
`Requests.TableTypesRequest.Builder` `setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)`

### Methods inherited from class com.google.protobuf.GeneratedMessageV3.Builder

`getAllFields, getField, getFieldBuilder, getOneofFieldDescriptor, getParentForChildren, getRepeatedField, getRepeatedFieldBuilder, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof, internalGetMapField, internalGetMutableMapField, isClean, markClean, newBuilderForField, onBuilt, onChanged, setUnknownFieldsProto3`

### Methods inherited from class com.google.protobuf.AbstractMessage.Builder

`findInitializationErrors, getInitializationErrorString, internalMergeFrom, mergeDelimitedFrom, mergeDelimitedFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, mergeFrom, newUninitializedMessageException, toString`

### Methods inherited from class com.google.protobuf.AbstractMessageLite.Builder

`addAll, addAll, mergeFrom, newUninitializedMessageException`

### Methods inherited from class java.lang.Object

`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Methods inherited from interface com.google.protobuf.MessageLite.Builder

`mergeFrom`

### Methods inherited from interface com.google.protobuf.MessageOrBuilder

`findInitializationErrors, getAllFields, getField, getInitializationErrorString, getOneofFieldDescriptor, getRepeatedField, getRepeatedFieldCount, getUnknownFields, hasField, hasOneof`

### Field Detail

#### connectionId_

    private java.lang.Object connectionId_

### Constructor Detail

#### Builder

    private Builder()

#### Builder

    private Builder​(com.google.protobuf.GeneratedMessageV3.BuilderParent parent)

### Method Detail

#### getDescriptor

    public static final com.google.protobuf.Descriptors.Descriptor getDescriptor()

#### internalGetFieldAccessorTable

    protected com.google.protobuf.GeneratedMessageV3.FieldAccessorTable internalGetFieldAccessorTable()

Specified by:
  `internalGetFieldAccessorTable` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.TableTypesRequest.Builder>`

#### maybeForceBuilderInitialization

    private void maybeForceBuilderInitialization()

#### clear

    public Requests.TableTypesRequest.Builder clear()

Specified by:
  `clear` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clear` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clear` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.TableTypesRequest.Builder>`

#### getDescriptorForType

    public com.google.protobuf.Descriptors.Descriptor getDescriptorForType()

Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `getDescriptorForType` in interface `com.google.protobuf.MessageOrBuilder`
Overrides:
  `getDescriptorForType` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.TableTypesRequest.Builder>`

#### getDefaultInstanceForType

    public Requests.TableTypesRequest getDefaultInstanceForType()

Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageLiteOrBuilder`
Specified by:
  `getDefaultInstanceForType` in interface `com.google.protobuf.MessageOrBuilder`

#### build

    public Requests.TableTypesRequest build()

Specified by:
  `build` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `build` in interface `com.google.protobuf.MessageLite.Builder`

#### buildPartial

    public Requests.TableTypesRequest buildPartial()

Specified by:
  `buildPartial` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `buildPartial` in interface `com.google.protobuf.MessageLite.Builder`

#### clone

    public Requests.TableTypesRequest.Builder clone()

Specified by:
  `clone` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `clone` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `clone` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.TableTypesRequest.Builder>`

#### setField

    public Requests.TableTypesRequest.Builder setField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                       java.lang.Object value)

Specified by:
  `setField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.TableTypesRequest.Builder>`

#### clearField

    public Requests.TableTypesRequest.Builder clearField​(com.google.protobuf.Descriptors.FieldDescriptor field)

Specified by:
  `clearField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.TableTypesRequest.Builder>`

#### clearOneof

    public Requests.TableTypesRequest.Builder clearOneof​(com.google.protobuf.Descriptors.OneofDescriptor oneof)

Specified by:
  `clearOneof` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `clearOneof` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.TableTypesRequest.Builder>`

#### setRepeatedField

    public Requests.TableTypesRequest.Builder setRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                               int index,
                                                               java.lang.Object value)

Specified by:
  `setRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.TableTypesRequest.Builder>`

#### addRepeatedField

    public Requests.TableTypesRequest.Builder addRepeatedField​(com.google.protobuf.Descriptors.FieldDescriptor field,
                                                               java.lang.Object value)

Specified by:
  `addRepeatedField` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `addRepeatedField` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.TableTypesRequest.Builder>`

#### mergeFrom

    public Requests.TableTypesRequest.Builder mergeFrom​(com.google.protobuf.Message other)

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Requests.TableTypesRequest.Builder>`

#### mergeFrom

    public Requests.TableTypesRequest.Builder mergeFrom​(Requests.TableTypesRequest other)

#### isInitialized

    public final boolean isInitialized()

Specified by:
  `isInitialized` in interface `com.google.protobuf.MessageLiteOrBuilder`
Overrides:
  `isInitialized` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.TableTypesRequest.Builder>`

#### mergeFrom

    public Requests.TableTypesRequest.Builder mergeFrom​(com.google.protobuf.CodedInputStream input,
                                                        com.google.protobuf.ExtensionRegistryLite extensionRegistry)
                                                 throws java.io.IOException

Specified by:
  `mergeFrom` in interface `com.google.protobuf.Message.Builder`
Specified by:
  `mergeFrom` in interface `com.google.protobuf.MessageLite.Builder`
Overrides:
  `mergeFrom` in class `com.google.protobuf.AbstractMessage.Builder<Requests.TableTypesRequest.Builder>`
Throws:
  `java.io.IOException`

#### getConnectionId

    public java.lang.String getConnectionId()

`string connection_id = 1;`

Specified by:
  `getConnectionId` in interface `Requests.TableTypesRequestOrBuilder`

#### getConnectionIdBytes

    public com.google.protobuf.ByteString getConnectionIdBytes()

`string connection_id = 1;`

Specified by:
  `getConnectionIdBytes` in interface `Requests.TableTypesRequestOrBuilder`

#### setConnectionId

    public Requests.TableTypesRequest.Builder setConnectionId​(java.lang.String value)

`string connection_id = 1;`

#### clearConnectionId

    public Requests.TableTypesRequest.Builder clearConnectionId()

`string connection_id = 1;`

#### setConnectionIdBytes

    public Requests.TableTypesRequest.Builder setConnectionIdBytes​(com.google.protobuf.ByteString value)

`string connection_id = 1;`

#### setUnknownFields

    public final Requests.TableTypesRequest.Builder setUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `setUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `setUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.TableTypesRequest.Builder>`

#### mergeUnknownFields

    public final Requests.TableTypesRequest.Builder mergeUnknownFields​(com.google.protobuf.UnknownFieldSet unknownFields)

Specified by:
  `mergeUnknownFields` in interface `com.google.protobuf.Message.Builder`
Overrides:
  `mergeUnknownFields` in class `com.google.protobuf.GeneratedMessageV3.Builder<Requests.TableTypesRequest.Builder>`